Error message : need newer bridge132 dll

Installing APL, Sorting out Fonts, Keyboards, etc.

Error message : need newer bridge132 dll

Postby BeauWebber on Mon Nov 11, 2013 9:20 pm

Just upgraded from 13.0 to 13.2.
Getting error message :
The loaded bridge library (C:\Program Files (x86)\Dyalog\Dyalog APL 13.2 Unicode\bridge132_unicode.dll) is of a lower version than required. Version 13.2.12430 was found but version 13.2.18546 or greater is needed.

I have searched but not found it - any suggestions ?
Does any one know what this a bridge to ? .net ?
I have v2 and v4 .net installed and listed, which should I choose ?
cheers, Beau
BeauWebber
 
Posts: 6
Joined: Mon Oct 28, 2013 10:24 pm

Re: Error message : need newer bridge132 dll

Postby Vince|Dyalog on Tue Nov 12, 2013 3:22 pm

Hi Beau,

The bridge it refers to is part of our Dyalog .Net interface.

On 9th September 2013, the DSS update of that day also required you to also update the Dyalog .Net interface to the same level (version 13.2.19016).

You can get this on the DSS pages of our website. There, click on the "Skip to the latest .Net DLLs at the bottom of this page" link.

In the Options/Configure box, v2.0.50727 and v4 refer to the version of Microsoft's .Net Framework that you wish Dyalog to use when you interact with .Net.

Please contact Dyalog Support if you have any problems or questions.

Regards,

Vince
Vince|Dyalog
 
Posts: 307
Joined: Wed Oct 01, 2008 9:39 am

Re: Error message : need newer bridge132 dll

Postby BeauWebber on Tue Nov 12, 2013 5:49 pm

Thanks indeed Vince, that patch is now installed.
Can I ask re the status of .net calls in v13.2 on the Raspberry Pi ?
I have heard that .net is now working on some Linux installations.
cheers,
Beau
BeauWebber
 
Posts: 6
Joined: Mon Oct 28, 2013 10:24 pm

Re: Error message : need newer bridge132 dll

Postby Morten|Dyalog on Wed Nov 13, 2013 2:37 pm

There is an open-source project called "Mono" which makes large pieces of the .Net framework available on other platforms (but not any of the User Interface related components). It is in our "long term" plan to extend the .NET bridge to Mono, but we do not have any immediate plans to do so. A Java bridge will probably appear first.

Which parts of the framework are you most keen to have access to?
User avatar
Morten|Dyalog
 
Posts: 339
Joined: Tue Sep 09, 2008 3:52 pm


Return to Installation

Who is online

Users browsing this forum: No registered users and 0 guests